[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / TableSelectControlsComponent

# Class: TableSelectControlsComponent

Defined in: [packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:24](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts#L24)

## Constructors

### new TableSelectControlsComponent()

> **new TableSelectControlsComponent**(`selectRows`, `windowRef`): [`TableSelectControlsComponent`](TableSelectControlsComponent.md)

Defined in: [packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:27](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts#L27)

#### Parameters

##### selectRows

[`SelectRowService`](SelectRowService.md)\<`any`\>

##### windowRef

`WindowRef`

#### Returns

[`TableSelectControlsComponent`](TableSelectControlsComponent.md)

## Properties

### hasNotSelected$

> **hasNotSelected$**: `Observable`\<`boolean`\>

Defined in: [packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:25](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts#L25)

## Methods

### cancel()

> **cancel**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:37](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts#L37)

#### Returns

`void`

***

### select()

> **select**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:41](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts#L41)

#### Returns

`void`
